## trinityrnaseq 2.13.2+dfsg

=== trinity-plugins/Makefile ===

OS := $(shell uname)

CXX = g++
CC = gcc
COLLECTL_CODE="collectl-4.1.0"
PARAFLY_CODE="ParaFly"
TRIMMOMATIC_CODE=Trimmomatic-0.36



trinity_essentials: seqtk_target parafly_target trimmomatic_target bamsifter_target

no_bamsifter: seqtk_target parafly_target trimmomatic_target


trimmomatic_target:
	ln -sf ${TRIMMOMATIC_CODE} Trimmomatic


seqtk_target:
	cd seqtk-trinity && $(MAKE) CXX=$(CXX) CC=$(CC)
	mv seqtk-trinity/seqtk-trinity ./BIN/.

parafly_target:
	cd ${PARAFLY_CODE} && sh ./configure --prefix=`pwd` CXX=$(CXX) CC=$(CC) CFLAGS="-fopenmp" CXXFLAGS="-fopenmp" && $(MAKE) install && \
	cp bin/ParaFly ../BIN/


bamsifter_target:
	cd bamsifter && make

##################################
### Needed for downstream analyses
##################################

plugins: slclust_target collectl_target
	@echo "\n\n** Done building plugins **\n\n"


slclust_target:
	cd slclust && $(MAKE) CXX=$(CXX) CC=$(CC) install

collectl_target:
	cd COLLECTL && tar xvf ${COLLECTL_CODE}.src.tar.gz && ln -sf ${COLLECTL_CODE} collectl

clean:
	cd seqtk-trinity && $(MAKE) clean
	cd scaffold_iworm_contigs && $(MAKE) clean
	cd ${PARAFLY_CODE} && $(MAKE) clean
	rm -f ./Trimmomatic # rm symlink
	cd slclust && $(MAKE) clean
	cd COLLECTL && rm -rf ${COLLECTL_CODE} && rm -f collectl
	cd htslib && make clean
	cd bamsifter && make clean
	rm -f ./htslib.ok
	@echo "\n\n** Done cleaning plugins area **"


###################################################################

=== trinity-plugins/ParaFly/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/parafly
pkgincludedir = $(includedir)/parafly
pkglibdir = $(libdir)/parafly
pkglibexecdir = $(libexecdir)/parafly
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure depcomp install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run tar
AM_CXXFLAGS = -pedantic -fopenmp -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
AUTOCONF = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoconf
AUTOHEADER = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoheader
AUTOMAKE = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run automake-1.11
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fopenmp
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = parafly
PACKAGE_BUGREPORT = bug-report@address
PACKAGE_NAME = Parafly
PACKAGE_STRING = Parafly 0.1
PACKAGE_TARNAME = parafly
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.1
abs_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
abs_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
abs_top_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
abs_top_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = src
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \

=== trinity-plugins/ParaFly/src/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/parafly
pkgincludedir = $(includedir)/parafly
pkglibdir = $(libdir)/parafly
pkglibexecdir = $(libexecdir)/parafly
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = ParaFly$(EXEEXT)
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am_ParaFly_OBJECTS = ParaFly.$(OBJEXT) argProcessor.$(OBJEXT)
ParaFly_OBJECTS = $(am_ParaFly_OBJECTS)
ParaFly_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(ParaFly_SOURCES)
DIST_SOURCES = $(ParaFly_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run tar
AM_CXXFLAGS = -pedantic -fopenmp -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
AUTOCONF = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoconf
AUTOHEADER = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoheader
AUTOMAKE = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run automake-1.11
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fopenmp
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = parafly
PACKAGE_BUGREPORT = bug-report@address
PACKAGE_NAME = Parafly
PACKAGE_STRING = Parafly 0.1
PACKAGE_TARNAME = parafly
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.1
abs_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/src
abs_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/src
abs_top_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
abs_top_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign
ParaFly_SOURCES = ParaFly.cpp argProcessor.cpp
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p; \
	  then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' `; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
ParaFly$(EXEEXT): $(ParaFly_OBJECTS) $(ParaFly_DEPENDENCIES) 
	@rm -f ParaFly$(EXEEXT)
	$(CXXLINK) $(ParaFly_OBJECTS) $(ParaFly_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/ParaFly.Po
include ./$(DEPDIR)/argProcessor.Po

.cpp.o:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
	for dir in "$(DESTDIR)$(bindir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:

=== debian/control ===
Source: trinityrnaseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               jellyfish,
               libjung-free-java (>= 2.1.1-1),
               javahelper,
               libgetopt-java,
               default-jdk,
               parafly,
               libjs-jquery,
               jaligner,
               libhts-dev,
               bowtie2,
               salmon,
               zlib1g-dev,
               cmake,
               r-bioc-edger,
               r-bioc-deseq2,
               r-bioc-rots,
               r-cran-fastcluster,
               liburi-perl,
               r-cran-ape,
               r-bioc-ctc,
               r-cran-gplots,
               r-cran-readr,
               r-bioc-biobase,
               r-bioc-qvalue,
               r-bioc-goseq,
               r-bioc-tximport,
               python3-htseq,
               rna-star,
               picard-tools,
               gmap,
               hisat2,
               subread,
               kallisto,
               python3-hisat2,
               r-cran-argparse,
               r-bioc-dexseq,
               tabix
#               r-cran-goplot,
#               r-bioc-glimma,
#               r-bioc-tximportdata
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/trinityrnaseq
Vcs-Git: https://salsa.debian.org/med-team/trinityrnaseq.git
Homepage: https://trinityrnaseq.github.io/
Rules-Requires-Root: no

Package: trinityrnaseq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         ${java:Depends},
         bowtie,
         bowtie2,
         libwww-perl,
         default-jre-headless,
         samtools,
         jellyfish,
         r-base-core,
         r-cran-cluster,
         r-bioc-qvalue,
         rsem,
         berkeley-express,
         trimmomatic,
         transdecoder,
         parafly,
         curl,
         salmon,
         python3-numpy,
         ncbi-blast+,
         python3,
         r-cran-readr,
         r-bioc-edger,
         r-bioc-deseq2,
         r-bioc-rots,
         r-cran-fastcluster,
         liburi-perl,
         r-cran-ape,
         r-bioc-ctc,
         r-cran-gplots,
         r-bioc-biobase,
         r-bioc-goseq,
         r-bioc-tximport,
         python3-htseq,
         rna-star,
         gmap,
         hisat2,
         subread,
         kallisto,
         python3-hisat2,
         r-cran-argparse,
         r-cran-goplot,
         r-bioc-dexseq
#         r-bioc-glimma
Recommends: ${java:Recommends},
            trinityrnaseq-examples,
            r-cran-tidyverse,
            picard-tools,
            tabix
Suggests: collectl,
          r-bioc-tximportdata
Description: RNA-Seq De novo Assembly
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.

Package: trinityrnaseq-examples
Architecture: all
Depends: ${perl:Depends},
         ${java:Depends},
         ${misc:Depends},
         r-base-core
Recommends: trinityrnaseq
Description: RNA-Seq De novo Assembly common example and testing files
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.
 .
 This package contains testing & example files.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

JDIR=/usr/share/java
export CLASSPATH=${JDIR}/commons-collections4.jar:${JDIR}/gnu-getopt.jar:${JDIR}/jung-algorithms.jar:${JDIR}/jung-api.jar:${JDIR}/jung-graph-impl.jar:${JDIR}/jaligner.jar
export JAVA_HOME=/usr/lib/jvm/default-java
SOURCE_DIRECTORIES_CMAKE = Inchworm Chrysalis
SOURCE_DIRECTORIES_SIMPLE_CLEAN = trinity-plugins/slclust trinity-plugins/scaffold_iworm_contigs trinity-plugins/bamsifter
SOURCE_DIRECTORIES_SIMPLE_ALL = ${SOURCE_DIRECTORIES_SIMPLE_CLEAN} trinity-plugins/seqtk-trinity
BASEDIR=debian/trinityrnaseq/usr/lib/trinityrnaseq
EXBASEDIR=debian/trinityrnaseq-examples/usr/share/trinityrnaseq
include /usr/share/dpkg/pkg-info.mk

export BUILD_DATETIME := "$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
%:
	dh $@ --with javahelper

override_dh_autoreconf:
	echo No need to run autoreconf

override_dh_auto_configure:
	rm -f Chrysalis/Makefile
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_configure \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done

override_dh_auto_build:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_build \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_ALL}; do dh_auto_build \
                --sourcedirectory=$${target}; done

override_dh_auto_clean:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_clean \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_CLEAN}; do dh_auto_clean \
                --sourcedirectory=$${target}; done
	rm --force Chrysalis/Makefile_auto
	rm --force trinity-plugins/slclust/bin/slclust
	cd trinity-plugins && $(MAKE) clean || true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	java -cp Butterfly.jar TransAssembly_allProbPaths -N 10000 -L 300 \
		-F 300 -C Butterfly/Butterfly/src/sample_data/c1.graph --stderr -V 20
endif

override_dh_auto_install:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_install \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_ALL}; do dh_auto_install \
                --sourcedirectory=$${target}; done

override_dh_install-arch:
	dh_install -a
	find debian/trinityrnaseq -name '*.p?' | xargs sed -i \
		's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
	chmod u+x \
		${BASEDIR}/Analysis/DifferentialExpression/pairwise_summaries/class_to_separate_fpkm_matrices.pl \
		${BASEDIR}/Analysis/FL_reconstruction_analysis/count_by_expression_quintile.pl \
		${BASEDIR}/util/misc/capture_orig_n_unmapped_reads.pl \
		${BASEDIR}/util/support_scripts/plugin_install_tests.sh \
		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm
	find debian -name __pycache__ -type d | xargs rm -rf

override_dh_install-indep:
	dh_install -i
	chmod u+x \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/__regression_tests/test_GraphFromFasta/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/test_Inchworm/runMe_MPI.sh \

override_dh_fixperms:
	dh_fixperms
	find debian -name genwig.sh -exec chmod +x \{\} \;
	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

=== debian/tests/control ===
Tests: run-tests
Depends: trinityrnaseq, trinityrnaseq-examples, r-cran-tidyverse, libpicard-java
Restrictions: skip-not-installable, allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//g,repack,compression=xz" \
  https://github.com/trinityrnaseq/trinityrnaseq/releases \
  .*v@ANY_VERSION@(?:\.wExtSampleData|\.FULL_with_extendedTestData)@ARCHIVE_EXT@

# the ?: means the grouping is non-capturing, so the wExtSampleData or with_extendedTestData part isn't included in the version number

## trinityrnaseq 2.15.1+dfsg

=== trinity-plugins/ParaFly/Makefile ===
--- 
+++ 
@@ -98,12 +98,12 @@
 GZIP_ENV = --best
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run aclocal-1.11
-AMTAR = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run tar
-AM_CXXFLAGS = -pedantic -fopenmp -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
-AUTOCONF = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run automake-1.11
+ACLOCAL = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run aclocal-1.11
+AMTAR = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run tar
+AM_CXXFLAGS = -pedantic -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
+AUTOCONF = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run autoconf
+AUTOHEADER = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run autoheader
+AUTOMAKE = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run automake-1.11
 AWK = gawk
 CPPFLAGS = 
 CXX = g++
@@ -125,8 +125,8 @@
 LIBOBJS = 
 LIBS = 
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run makeinfo
-MKDIR_P = /bin/mkdir -p
+MAKEINFO = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run makeinfo
+MKDIR_P = /usr/bin/mkdir -p
 OBJEXT = o
 PACKAGE = parafly
 PACKAGE_BUGREPORT = bug-report@address
@@ -136,13 +136,13 @@
 PACKAGE_VERSION = 0.1
 PATH_SEPARATOR = :
 SET_MAKE = 
-SHELL = /bin/bash
+SHELL = /bin/sh
 STRIP = 
 VERSION = 0.1
-abs_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
-abs_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
-abs_top_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
-abs_top_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
+abs_builddir = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly
+abs_srcdir = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly
+abs_top_builddir = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly
+abs_top_srcdir = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly
 ac_ct_CXX = 
 am__include = include
 am__leading_dot = .
@@ -161,16 +161,16 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/install-sh
+install_sh = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
 mandir = ${datarootdir}/man
-mkdir_p = /bin/mkdir -p
+mkdir_p = /usr/bin/mkdir -p
 oldincludedir = /usr/include
 pdfdir = ${docdir}
-prefix = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
+prefix = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly
 program_transform_name = s,x,x,
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
@@ -355,5 +355,3 @@
 ctags: CTAGS
 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
 		$(TAGS_FILES) $(LISP)
-	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \

=== trinity-plugins/seqtk-trinity/Makefile ===
CC=gcc
CFLAGS=-g -Wall -O2 -Wno-unused-function 

all:seqtk-trinity

seqtk-trinity:seqtk.c khash.h kseq.h
		$(CC) $(CFLAGS) seqtk.c -o $@ -lz -lm

clean:
		rm -fr gmon.out *.o ext/*.o a.out seqtk trimadap *~ *.a *.dSYM session*


test:
	./seqtk-trinity seq -A -R 1 testing/oldformat_1.fq > test.fa
	./seqtk-trinity seq -A -R 2 testing/oldformat_2.fq > test.fa	

	./seqtk-trinity seq -A -R 1 testing/newformat_1.fq > test.fa
	./seqtk-trinity seq -A -R 2 testing/newformat_2.fq > test.fa	

	./seqtk-trinity seq -A -R 1 testing/stripped.fq > test.fa
	./seqtk-trinity seq -A -R 2 testing/stripped.fq > test.fa

	./seqtk-trinity seq -A -R 1 testing/forward_reverse_notation_1.fq > test.fa
	./seqtk-trinity seq -A -R 2 testing/forward_reverse_notation_2.fq > test.fa

=== trinity_ext_sample_data/test_GOplot/Makefile ===


test:
	${TRINITY_HOME}/Analysis/DifferentialExpression/prep_n_run_GOplot.pl --GO_annots data/Trinotate_report.xls.gene_ontology --DE_GO_enriched data/Trinity_genes.counts.matrix.log_growth_vs_heatshock.edgeR.DE_results.P0.001_C2.DE.subset.GOseq.enriched --DE_subset data/Trinity_genes.counts.matrix.log_growth_vs_heatshock.edgeR.DE_results.P0.001_C2.DE.subset --tmpdir . --pdf_filename goplot.pdf
	@touch test

clean:
	rm -f EC.david EC.genelist goplot.pdf ./test

=== trinity_ext_sample_data/test_Glimma/Makefile ===

test:
	../../Analysis/DifferentialExpression/Glimma.Trinity.Rscript --samples_file samples.txt --DE_results my.DE_results --counts_matrix my.counts.matrix
	touch test

clean:
	rm -rf ./glimma
	rm -f ./cpm.DE_results.csv
	rm -f ./test

=== trinity_ext_sample_data/test_PtR/Makefile ===
test:
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --heatmap --heatmap_colorscheme 'black,yellow'
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.counts.matrix -s candidate.samples.txt --log2 --CPM --sample_cor_matrix
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.counts.matrix -s candidate.samples.txt --log2 --CPM --prin_comp 3 --add_prin_comp_heatmaps 5 --Zscale
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.counts.matrix --log2 --CPM -s candidate.samples.txt --compare_replicates
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --imgfmt svg --boxplot_log2_dist 0.8
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --top_variable_genes 300 --min_across_ANY_samples_gene_expr_val 5 --gene_cor_matrix
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --mean_vs_sd
#	head -n11 candidate.Trinity_trans.TMM.EXPR.matrix > test.matrix && ${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m test.matrix -s candidate.samples.txt --per_gene_plots --per_gene_plots_incl_vioplot

	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --heatmap --heatmap_colorscheme 'black,yellow' --order_columns_by_samples_file

	touch ./test


clean:
	rm -f ./candidate.Trinity_trans.TMM.EXPR.matrix.*
	rm -f ./test
	rm -f ./test.matrix ./test.matrix.*
	rm -f ./*.pdf
	rm -f ./*.svg

=== trinity-plugins/ParaFly/src/Makefile ===
--- 
+++ 
@@ -62,12 +62,12 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run aclocal-1.11
-AMTAR = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run tar
-AM_CXXFLAGS = -pedantic -fopenmp -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
-AUTOCONF = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run automake-1.11
+ACLOCAL = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run aclocal-1.11
+AMTAR = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run tar
+AM_CXXFLAGS = -pedantic -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
+AUTOCONF = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run autoconf
+AUTOHEADER = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run autoheader
+AUTOMAKE = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run automake-1.11
 AWK = gawk
 CPPFLAGS = 
 CXX = g++
@@ -89,8 +89,8 @@
 LIBOBJS = 
 LIBS = 
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run makeinfo
-MKDIR_P = /bin/mkdir -p
+MAKEINFO = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/missing --run makeinfo
+MKDIR_P = /usr/bin/mkdir -p
 OBJEXT = o
 PACKAGE = parafly
 PACKAGE_BUGREPORT = bug-report@address
@@ -100,13 +100,13 @@
 PACKAGE_VERSION = 0.1
 PATH_SEPARATOR = :
 SET_MAKE = 
-SHELL = /bin/bash
+SHELL = /bin/sh
 STRIP = 
 VERSION = 0.1
-abs_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/src
-abs_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/src
-abs_top_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
-abs_top_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
+abs_builddir = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/src
+abs_srcdir = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/src
+abs_top_builddir = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly
+abs_top_srcdir = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly
 ac_ct_CXX = 
 am__include = include
 am__leading_dot = .
@@ -125,16 +125,16 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/install-sh
+install_sh = ${SHELL} /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
 mandir = ${datarootdir}/man
-mkdir_p = /bin/mkdir -p
+mkdir_p = /usr/bin/mkdir -p
 oldincludedir = /usr/include
 pdfdir = ${docdir}
-prefix = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
+prefix = /broad/hptmp/bhaas/trinityrnaseq-v2.15.1/trinity-plugins/ParaFly
 program_transform_name = s,x,x,
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
@@ -342,5 +342,3 @@
 install-am: all-am
 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 
-installcheck: installcheck-am
-install-strip:

=== trinity_ext_sample_data/test_GOSeq_trinotate_pipe/Spombe_analyzeDiffExprWithGOseq/Makefile ===
test:
	./runMe.sh
	touch test

clean:
	rm -rf ./edgeR_out
	rm -f test

=== debian/changelog ===
trinityrnaseq (2.15.1+dfsg-5build1) noble; urgency=medium

  * No-change rebuild against libhts3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 19:57:03 +0100

trinityrnaseq (2.15.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add support for loong64
    Closes: #1059072

 -- Andreas Tille <tille@debian.org>  Sat, 23 Dec 2023 23:34:33 +0100

trinityrnaseq (2.15.1+dfsg-4) unstable; urgency=medium

  * d/control: also restrict architectures for the -examples binary
    package.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 05 Oct 2023 16:10:30 +0200

trinityrnaseq (2.15.1+dfsg-3) unstable; urgency=medium

  * d/control: tighten architecture list to those with necessary dependencies.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 02 Oct 2023 12:25:24 +0200

trinityrnaseq (2.15.1+dfsg-2) unstable; urgency=medium

  * d/control: move many deps of the binary package to recommends/suggests.
               As not all deps are needed for all usages, this enables
               usage on architectures where some deps are not available.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Sep 2023 22:02:31 +0200

trinityrnaseq (2.15.1+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/watch: update for GitHub API breakage

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

  [ Michael R. Crusoe ]
  * d/control: update homepage
  * d/control: remove unused test-deps
  * d/source/lintian-overrides: note that we clean up the
    config.{log,status} automatically.
  * d/patches/R_4.2_fix: fix for R 4.2.x+.
    Closes: #1006336, #1004773

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Sep 2023 17:12:30 +0200

trinityrnaseq (2.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Apr 2022 18:07:36 +0200

=== debian/watch ===
version=4

opts=\
repack,\
compression=xz,\
repacksuffix=+dfsg,\
dversionmangle=auto,\
searchmode=plain \
 https://api.github.com/repos/trinityrnaseq/trinityrnaseq/releases \
 https://github.com/trinityrnaseq/trinityrnaseq/releases/download/Trinity-v[\d\.]+/trinityrnaseq-v@ANY_VERSION@(?:\.FULL_with_extendedTestData)@ARCHIVE_EXT@

# the ?: means the grouping is non-capturing, so the wExtSampleData or with_extendedTestData part isn't included in the version number

## trinityrnaseq 2.15.2%2Bdfsg

=== debian/tests/control ===
Tests: run-tests
Depends: trinityrnaseq, trinityrnaseq-examples, r-cran-tidyverse, libpicard-java, salmon, r-bioc-edger, r-bioc-deseq2, r-cran-cluster, r-bioc-qvalue, r-cran-fastcluster, r-bioc-goseq, r-cran-argparse, r-cran-goplot, r-cran-kernsmooth, hisat2, python3-hisat2, r-bioc-dexseq
Restrictions: skip-not-installable, allow-stderr
